#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
const int N=34e6+1;
vector<int> solve(vector<int> A) {
    vector<int> v;
    v.clear();
    int n=A.size();

    for (int i=0; i<n; i++) v.push_back(i);
    v[n/2-1]=n-1;
    v[n-1]=n/2-1;
    return v;
}
